Orxonox: Tcl::details Namespace Reference

# Tcl::details Namespace Reference

## Classes

class | callback0
class | callback1
class | callback1< R, object const & >
class | callback2
class | callback2< R, T1, object const & >
class | callback3
class | callback3< R, T1, T2, object const & >
class | callback4
class | callback4< R, T1, T2, T3, object const & >
class | callback5
class | callback5< R, T1, T2, T3, T4, object const & >
class | callback6
class | callback6< R, T1, T2, T3, T4, T5, object const & >
class | callback7
class | callback7< R, T1, T2, T3, T4, T5, T6, object const & >
class | callback8
class | callback8< R, T1, T2, T3, T4, T5, T6, T7, object const & >
class | callback9
class | callback9< R, T1, T2, T3, T4, T5, T6, T7, T8, object const & >
class | callback_base
class | class_definer
class | class_handler
class | class_handler_base
struct | construct
struct | construct< C, T1, T2, T3, T4, T5, T6, T7, T8, void >
struct | construct< C, T1, T2, T3, T4, T5, T6, T7, void, void >
struct | construct< C, T1, T2, T3, T4, T5, T6, void, void, void >
struct | construct< C, T1, T2, T3, T4, T5, void, void, void, void >
struct | construct< C, T1, T2, T3, T4, void, void, void, void, void >
struct | construct< C, T1, T2, T3, void, void, void, void, void, void >
struct | construct< C, T1, T2, void, void, void, void, void, void, void >
struct | construct< C, T1, void, void, void, void, void, void, void, void >
struct | construct< C, void, void, void, void, void, void, void, void, void >
struct | dispatch
struct | dispatch< void >
struct | get_callback_type_for_construct
struct | get_callback_type_for_construct< C, T1, T2, T3, T4, T5, T6, T7, T8, void >
struct | get_callback_type_for_construct< C, T1, T2, T3, T4, T5, T6, T7, void, void >
struct | get_callback_type_for_construct< C, T1, T2, T3, T4, T5, T6, void, void, void >
struct | get_callback_type_for_construct< C, T1, T2, T3, T4, T5, void, void, void, void >
struct | get_callback_type_for_construct< C, T1, T2, T3, T4, void, void, void, void, void >
struct | get_callback_type_for_construct< C, T1, T2, T3, void, void, void, void, void, void >
struct | get_callback_type_for_construct< C, T1, T2, void, void, void, void, void, void, void >
struct | get_callback_type_for_construct< C, T1, void, void, void, void, void, void, void, void >
struct | get_callback_type_for_construct< C, void, void, void, void, void, void, void, void, void >
class | method0
class | method1
class | method1< C, R, object const & >
class | method2
class | method2< C, R, T1, object const & >
class | method3
class | method3< C, R, T1, T2, object const & >
class | method4
class | method4< C, R, T1, T2, T3, object const & >
class | method5
class | method5< C, R, T1, T2, T3, T4, object const & >
class | method6
class | method6< C, R, T1, T2, T3, T4, T5, object const & >
class | method7
class | method7< C, R, T1, T2, T3, T4, T5, T6, object const & >
class | method8
class | method8< C, R, T1, T2, T3, T4, T5, T6, T7, object const & >
class | method9
class | method9< C, R, T1, T2, T3, T4, T5, T6, T7, T8, object const & >
struct | no_init_type
class | object_cmd_base
class | result
struct | tcl_cast< bool >
struct | tcl_cast< char const * >
struct | tcl_cast< double >
struct | tcl_cast< int >
struct | tcl_cast< long >
struct | tcl_cast< object >
struct | tcl_cast< std::string >
struct | tcl_cast< T * >
struct | tcl_cast< T const & >

## Functions

void | check_params_no (int objc, int required)
object | get_var_params (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], int from, policies const &pol)
void | set_result (Tcl_Interp *interp, object const &o)
void | set_result (Tcl_Interp *interp, void *p)
void | set_result (Tcl_Interp *interp, std::string const &s)
void | set_result (Tcl_Interp *interp, double d)
void | set_result (Tcl_Interp *interp, long i)
void | set_result (Tcl_Interp *interp, int i)
void | set_result (Tcl_Interp *interp, bool b)

## Function Documentation

void Tcl::details::check_params_no | ( | int | objc,
|  | int | required |
| ) |  |  |

Referenced by get_var_params(), method9< C, R, T1, T2, T3, T4, T5, T6, T7, T8, T9 >::invoke(), method8< C, R, T1, T2, T3, T4, T5, T6, T7, T8 >::invoke(), method7< C, R, T1, T2, T3, T4, T5, T6, T7 >::invoke(), method6< C, R, T1, T2, T3, T4, T5, T6 >::invoke(), method5< C, R, T1, T2, T3, T4, T5 >::invoke(), method4< C, R, T1, T2, T3, T4 >::invoke(), method3< C, R, T1, T2, T3 >::invoke(), method2< C, R, T1, T2 >::invoke(), method1< C, R, T1 >::invoke(), callback9< R, T1, T2, T3, T4, T5, T6, T7, T8, T9 >::invoke(), callback8< R, T1, T2, T3, T4, T5, T6, T7, T8 >::invoke(), callback7< R, T1, T2, T3, T4, T5, T6, T7 >::invoke(), callback6< R, T1, T2, T3, T4, T5, T6 >::invoke(), callback5< R, T1, T2, T3, T4, T5 >::invoke(), callback4< R, T1, T2, T3, T4 >::invoke(), callback3< R, T1, T2, T3 >::invoke(), callback2< R, T1, T2 >::invoke(), and callback1< R, T1 >::invoke().

object Tcl::details::get_var_params | ( | Tcl_Interp * | interp,
|  | int | objc,
|  | Tcl_Obj *CONST | objv[],
|  | int | from,
|  | policies const & | pol |
| ) |  |  |

References Tcl::object::assign(), check_params_no(), Tcl::object::set_interp(), and Tcl::policies::variadic_.

Referenced by method9< C, R, T1, T2, T3, T4, T5, T6, T7, T8, object const & >::invoke(), method8< C, R, T1, T2, T3, T4, T5, T6, T7, object const & >::invoke(), method7< C, R, T1, T2, T3, T4, T5, T6, object const & >::invoke(), method6< C, R, T1, T2, T3, T4, T5, object const & >::invoke(), method5< C, R, T1, T2, T3, T4, object const & >::invoke(), method4< C, R, T1, T2, T3, object const & >::invoke(), method3< C, R, T1, T2, object const & >::invoke(), method2< C, R, T1, object const & >::invoke(), method1< C, R, object const & >::invoke(), callback9< R, T1, T2, T3, T4, T5, T6, T7, T8, object const & >::invoke(), callback8< R, T1, T2, T3, T4, T5, T6, T7, object const & >::invoke(), callback7< R, T1, T2, T3, T4, T5, T6, object const & >::invoke(), callback6< R, T1, T2, T3, T4, T5, object const & >::invoke(), callback5< R, T1, T2, T3, T4, object const & >::invoke(), callback4< R, T1, T2, T3, object const & >::invoke(), callback3< R, T1, T2, object const & >::invoke(), callback2< R, T1, object const & >::invoke(), and callback1< R, object const & >::invoke().

void Tcl::details::set_result | ( | Tcl_Interp * | interp,
|  | object const & | o |
| ) |  |  |

References Tcl::object::get_object().

Referenced by dispatch< R >::do_dispatch().

void Tcl::details::set_result | ( | Tcl_Interp * | interp,
|  | void * | p |
| ) |  |  |

void Tcl::details::set_result | ( | Tcl_Interp * | interp,
|  | std::string const & | s |
| ) |  |  |

void Tcl::details::set_result | ( | Tcl_Interp * | interp,
|  | double | d |
| ) |  |  |

void Tcl::details::set_result | ( | Tcl_Interp * | interp,
|  | long | i |
| ) |  |  |

void Tcl::details::set_result | ( | Tcl_Interp * | interp,
|  | int | i |
| ) |  |  |

void Tcl::details::set_result | ( | Tcl_Interp * | interp,
|  | bool | b |
| ) |  |  |